<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>discover: /home/pere/src/debiancvs/pkg-discover/discover/trunk/include/discover/discover-conf.h File Reference</title>
<link href="doxygen.css" rel="stylesheet" type="text/css">
</head><body>
<!-- Generated by Doxygen 1.4.2 -->
<div class="qindex"><a class="qindex" href="index.html">Main&nbsp;Page</a> | <a class="qindex" href="modules.html">Modules</a> | <a class="qindex" href="annotated.html">Data&nbsp;Structures</a> | <a class="qindex" href="dirs.html">Directories</a> | <a class="qindex" href="files.html">File&nbsp;List</a> | <a class="qindex" href="functions.html">Data&nbsp;Fields</a> | <a class="qindex" href="globals.html">Globals</a></div>
<div class="nav">
<a class="el" href="dir_000000.html">include</a>&nbsp;/&nbsp;<a class="el" href="dir_000001.html">discover</a></div>
<h1>discover-conf.h File Reference</h1>Public interface for reading Discover configuration data. <a href="#_details">More...</a>
<p>
<code>#include &lt;<a class="el" href="discover_8h-source.html">discover/discover.h</a>&gt;</code><br>

<p>
<a href="discover-conf_8h-source.html">Go to the source code of this file.</a><table border="0" cellpadding="0" cellspacing="0">
<tr><td></td></tr>
<tr><td colspan="2"><br><h2>Functions</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__conf.html#ga0">discover_conf_load</a> (<a class="el" href="structdiscover__error.html">discover_error_t</a> *status)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="structdiscover__bus__map.html">discover_bus_map_t</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__conf.html#ga2">discover_conf_get_full_bus_map</a> (<a class="el" href="structdiscover__error.html">discover_error_t</a> *status)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="structdiscover__bus__map.html">discover_bus_map_t</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__conf.html#ga4">discover_conf_get_bus_map</a> (<a class="el" href="group__types.html#ga16">discover_bus_t</a> bus, <a class="el" href="structdiscover__error.html">discover_error_t</a> *status)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="structdiscover__bus__map.html">discover_bus_map_t</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__conf.html#ga3">discover_conf_get_bus_map_by_name</a> (char *name, <a class="el" href="structdiscover__error.html">discover_error_t</a> *status)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__conf.html#ga5">discover_conf_insert_url</a> (char *url, <a class="el" href="structdiscover__error.html">discover_error_t</a> *status)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__conf.html#ga6">discover_conf_append_url</a> (char *url, <a class="el" href="structdiscover__error.html">discover_error_t</a> *status)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="group__types.html#ga7">discover_xml_url_t</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__conf.html#ga7">discover_conf_get_urls</a> (<a class="el" href="structdiscover__error.html">discover_error_t</a> *status)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__conf.html#ga8">discover_conf_free</a> (void)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">char *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__conf.html#ga9">discover_conf_get_bus_name</a> (<a class="el" href="group__types.html#ga16">discover_bus_t</a> bus)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">char *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__conf.html#ga10">discover_conf_get_filetype_name</a> (<a class="el" href="group__types.html#ga17">discover_filetype_t</a> filetype)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__conf.html#ga1">discover_conf_name_to_bus</a> (char *name, <a class="el" href="structdiscover__error.html">discover_error_t</a> *status)</td></tr>

</table>
<hr><a name="_details"></a><h2>Detailed Description</h2>
Public interface for reading Discover configuration data. 
<p>
These routines are the public interface used to read the configuration data from the desired source. These interfaces are also used to alter the URLs searched for configuration data. 
<p>
Definition in file <a class="el" href="discover-conf_8h-source.html">discover-conf.h</a>.<hr size="1"><address style="align: right;"><small>Generated on Thu Jul 28 03:38:00 2005 for discover by&nbsp;
<a href="http://www.doxygen.org/index.html">
<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.4.2 </small></address>
</body>
</html>
